## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class BaseTableASABaseLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
          org.eclipse.datatools.enablement.sybase.asa.baseloaders.BaseTableASABaseLoader

Direct Known Subclasses:
  SybaseASABaseTableLoader, SybaseASABaseTempTableLoader

    public abstract class BaseTableASABaseLoader

extends TableASABaseLoader

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
`TableASABaseLoader.ASABaseColumnLoader, TableASABaseLoader.IASABaseLoaderTable`

Field Summary
`static java.lang.String` `COLUMN_CHECK_CONSTRAINT_TYPE`
`static java.lang.String` `FOREIGN_KEY_TYPE`
`static java.lang.String` `PRIMARY_KEY_TYPE`
`static java.lang.String` `TABLE_CHECK_CONSTRAINT_TYPE`
`static java.lang.String` `UNIQUE_CONSTRAINT_TYPE`

Constructor Summary
`BaseTableASABaseLoader(BaseTable catalogTable)`

Method Summary
`void` `loadConstraints(org.eclipse.emf.common.util.EList constraintContainmentList)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
`loadColumns, loadIndices, loadTableInfo, loadTriggers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIMARY_KEY_TYPE

    public static final java.lang.String PRIMARY_KEY_TYPE

See Also:
  Constant Field Values

### UNIQUE_CONSTRAINT_TYPE

    public static final java.lang.String UNIQUE_CONSTRAINT_TYPE

See Also:
  Constant Field Values

### FOREIGN_KEY_TYPE

    public static final java.lang.String FOREIGN_KEY_TYPE

See Also:
  Constant Field Values

### TABLE_CHECK_CONSTRAINT_TYPE

    public static final java.lang.String TABLE_CHECK_CONSTRAINT_TYPE

See Also:
  Constant Field Values

### COLUMN_CHECK_CONSTRAINT_TYPE

    public static final java.lang.String COLUMN_CHECK_CONSTRAINT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BaseTableASABaseLoader

    public BaseTableASABaseLoader(BaseTable catalogTable)

Method Detail

### loadConstraints

    public final void loadConstraints(org.eclipse.emf.common.util.EList constraintContainmentList)